CharacterEntityReference
Date: 2016-12-04

net.htmlparser.jericho

## Class CharacterEntityReference

- java.lang.Object
- - net.htmlparser.jericho.Segment
  - - net.htmlparser.jericho.CharacterReference
    - - net.htmlparser.jericho.CharacterEntityReference

- All Implemented Interfaces:
    java.lang.CharSequence, java.lang.Comparable<Segment>

      public class CharacterEntityReference
      extends CharacterReference

  Represents an HTML Character Entity Reference.

  Click here to scroll down to the method summary.

  The full list of HTML character entity references can be found at the following URL:
  http://www.w3.org/TR/REC-html40/sgml/entities.html.

  There are a total of 253 HTML character entity references, ranging from codepoints U+0022 to U+2666.

  Static methods to encode and decode strings and single characters can be found in the `CharacterReference` superclass.

  The `&apos;` entity reference is not defined for use in HTML. It is defined in the XHTML Special Characters Entity Set, and is the only one that is not included in both HTML and XHTML. For this reason, the `&apos;` entity reference is recognised by this library in decoding functions, but in encoding functions the numeric character reference `&#39;` is used instead. Most modern browsers support it in both XHTML and HTML, with the notable exception of Microsoft Internet Explorer 6.0, which doesn't support it in either.

  `CharacterEntityReference` instances are obtained using one of the following methods:

  - `CharacterReference.parse(CharSequence characterReferenceText)`
  - `Source.getNextCharacterReference(int pos)`
  - `Source.getPreviousCharacterReference(int pos)`
  - `Segment.getAllCharacterReferences()`
  See Also:
    `CharacterReference`, `NumericCharacterReference`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `_aacute` `á` `&aacute; = &#225;` -- latin small letter a with acute, U+00E1 ISOlat1.
    `static char` | `_Aacute` `Á` `&Aacute; = &#193;` -- latin capital letter A with acute, U+00C1 ISOlat1.
    `static char` | `_acirc` `â` `&acirc; = &#226;` -- latin small letter a with circumflex, U+00E2 ISOlat1.
    `static char` | `_Acirc` `Â` `&Acirc; = &#194;` -- latin capital letter A with circumflex, U+00C2 ISOlat1.
    `static char` | `_acute` `´` `&acute; = &#180;` -- acute accent = spacing acute, U+00B4 ISOdia.
    `static char` | `_aelig` `æ` `&aelig; = &#230;` -- latin small letter ae = latin small ligature ae, U+00E6 ISOlat1.
    `static char` | `_AElig` `Æ` `&AElig; = &#198;` -- latin capital letter AE = latin capital ligature AE, U+00C6 ISOlat1.
    `static char` | `_agrave` `à` `&agrave; = &#224;` -- latin small letter a with grave = latin small letter a grave, U+00E0 ISOlat1.
    `static char` | `_Agrave` `À` `&Agrave; = &#192;` -- latin capital letter A with grave = latin capital letter A grave, U+00C0 ISOlat1.
    `static char` | `_alefsym` `ℵ` `&alefsym; = &#8501;` -- alef symbol = first transfinite cardinal, U+2135 NEW (see comments).
    `static char` | `_alpha` `α` `&alpha; = &#945;` -- greek small letter alpha, U+03B1 ISOgrk3.
    `static char` | `_Alpha` `Α` `&Alpha; = &#913;` -- greek capital letter alpha, U+0391.
    `static char` | `_amp` `&` `&amp; = &#38;` -- ampersand, U+0026 ISOnum.
    `static char` | `_and` `∧` `&and; = &#8743;` -- logical and = wedge, U+2227 ISOtech.
    `static char` | `_ang` `∠` `&ang; = &#8736;` -- angle, U+2220 ISOamso.
    `static char` | `_apos` `'` `&apos; = &#39;` -- apostrophe = APL quote, U+0027 ISOnum (see comments).
    `static char` | `_aring` `å` `&aring; = &#229;` -- latin small letter a with ring above = latin small letter a ring, U+00E5 ISOlat1.
    `static char` | `_Aring` `Å` `&Aring; = &#197;` -- latin capital letter A with ring above = latin capital letter A ring, U+00C5 ISOlat1.
    `static char` | `_asymp` `≈` `&asymp; = &#8776;` -- almost equal to = asymptotic to, U+2248 ISOamsr.
    `static char` | `_atilde` `ã` `&atilde; = &#227;` -- latin small letter a with tilde, U+00E3 ISOlat1.
    `static char` | `_Atilde` `Ã` `&Atilde; = &#195;` -- latin capital letter A with tilde, U+00C3 ISOlat1.
    `static char` | `_auml` `ä` `&auml; = &#228;` -- latin small letter a with diaeresis, U+00E4 ISOlat1.
    `static char` | `_Auml` `Ä` `&Auml; = &#196;` -- latin capital letter A with diaeresis, U+00C4 ISOlat1.
    `static char` | `_bdquo` `„` `&bdquo; = &#8222;` -- double low-9 quotation mark, U+201E NEW.
    `static char` | `_beta` `β` `&beta; = &#946;` -- greek small letter beta, U+03B2 ISOgrk3.
    `static char` | `_Beta` `Β` `&Beta; = &#914;` -- greek capital letter beta, U+0392.
    `static char` | `_brvbar` `¦` `&brvbar; = &#166;` -- broken bar = broken vertical bar, U+00A6 ISOnum.
    `static char` | `_bull` `•` `&bull; = &#8226;` -- bullet = black small circle, U+2022 ISOpub (see comments).
    `static char` | `_cap` `∩` `&cap; = &#8745;` -- intersection = cap, U+2229 ISOtech.
    `static char` | `_ccedil` `ç` `&ccedil; = &#231;` -- latin small letter c with cedilla, U+00E7 ISOlat1.
    `static char` | `_Ccedil` `Ç` `&Ccedil; = &#199;` -- latin capital letter C with cedilla, U+00C7 ISOlat1.
    `static char` | `_cedil` `¸` `&cedil; = &#184;` -- cedilla = spacing cedilla, U+00B8 ISOdia.
    `static char` | `_cent` `¢` `&cent; = &#162;` -- cent sign, U+00A2 ISOnum.
    `static char` | `_chi` `χ` `&chi; = &#967;` -- greek small letter chi, U+03C7 ISOgrk3.
    `static char` | `_Chi` `Χ` `&Chi; = &#935;` -- greek capital letter chi, U+03A7.
    `static char` | `_circ` `ˆ` `&circ; = &#710;` -- modifier letter circumflex accent, U+02C6 ISOpub.
    `static char` | `_clubs` `♣` `&clubs; = &#9827;` -- black club suit = shamrock, U+2663 ISOpub.
    `static char` | `_cong` `≅` `&cong; = &#8773;` -- approximately equal to, U+2245 ISOtech.
    `static char` | `_copy` `©` `&copy; = &#169;` -- copyright sign, U+00A9 ISOnum.
    `static char` | `_crarr` `↵` `&crarr; = &#8629;` -- downwards arrow with corner leftwards = carriage return, U+21B5 NEW.
    `static char` | `_cup` `∪` `&cup; = &#8746;` -- union = cup, U+222A ISOtech.
    `static char` | `_curren` `¤` `&curren; = &#164;` -- currency sign, U+00A4 ISOnum.
    `static char` | `_dagger` `†` `&dagger; = &#8224;` -- dagger, U+2020 ISOpub.
    `static char` | `_Dagger` `‡` `&Dagger; = &#8225;` -- double dagger, U+2021 ISOpub.
    `static char` | `_darr` `↓` `&darr; = &#8595;` -- downwards arrow, U+2193 ISOnum.
    `static char` | `_dArr` `⇓` `&dArr; = &#8659;` -- downwards double arrow, U+21D3 ISOamsa.
    `static char` | `_deg` `°` `&deg; = &#176;` -- degree sign, U+00B0 ISOnum.
    `static char` | `_delta` `δ` `&delta; = &#948;` -- greek small letter delta, U+03B4 ISOgrk3.
    `static char` | `_Delta` `Δ` `&Delta; = &#916;` -- greek capital letter delta, U+0394 ISOgrk3.
    `static char` | `_diams` `♦` `&diams; = &#9830;` -- black diamond suit, U+2666 ISOpub.
    `static char` | `_divide` `÷` `&divide; = &#247;` -- division sign, U+00F7 ISOnum.
    `static char` | `_eacute` `é` `&eacute; = &#233;` -- latin small letter e with acute, U+00E9 ISOlat1.
    `static char` | `_Eacute` `É` `&Eacute; = &#201;` -- latin capital letter E with acute, U+00C9 ISOlat1.
    `static char` | `_ecirc` `ê` `&ecirc; = &#234;` -- latin small letter e with circumflex, U+00EA ISOlat1.
    `static char` | `_Ecirc` `Ê` `&Ecirc; = &#202;` -- latin capital letter E with circumflex, U+00CA ISOlat1.
    `static char` | `_egrave` `è` `&egrave; = &#232;` -- latin small letter e with grave, U+00E8 ISOlat1.
    `static char` | `_Egrave` `È` `&Egrave; = &#200;` -- latin capital letter E with grave, U+00C8 ISOlat1.
    `static char` | `_empty` `∅` `&empty; = &#8709;` -- empty set = null set = diameter, U+2205 ISOamso.
    `static char` | `_emsp` `` `&emsp; = &#8195;` -- em space, U+2003 ISOpub.
    `static char` | `_ensp` `` `&ensp; = &#8194;` -- en space, U+2002 ISOpub.
    `static char` | `_epsilon` `ε` `&epsilon; = &#949;` -- greek small letter epsilon, U+03B5 ISOgrk3.
    `static char` | `_Epsilon` `Ε` `&Epsilon; = &#917;` -- greek capital letter epsilon, U+0395.
    `static char` | `_equiv` `≡` `&equiv; = &#8801;` -- identical to, U+2261 ISOtech.
    `static char` | `_eta` `η` `&eta; = &#951;` -- greek small letter eta, U+03B7 ISOgrk3.
    `static char` | `_Eta` `Η` `&Eta; = &#919;` -- greek capital letter eta, U+0397.
    `static char` | `_eth` `ð` `&eth; = &#240;` -- latin small letter eth, U+00F0 ISOlat1.
    `static char` | `_ETH` `Ð` `&ETH; = &#208;` -- latin capital letter ETH, U+00D0 ISOlat1.
    `static char` | `_euml` `ë` `&euml; = &#235;` -- latin small letter e with diaeresis, U+00EB ISOlat1.
    `static char` | `_Euml` `Ë` `&Euml; = &#203;` -- latin capital letter E with diaeresis, U+00CB ISOlat1.
    `static char` | `_euro` `€` `&euro; = &#8364;` -- euro sign, U+20AC NEW.
    `static char` | `_exist` `∃` `&exist; = &#8707;` -- there exists, U+2203 ISOtech.
    `static char` | `_fnof` `ƒ` `&fnof; = &#402;` -- latin small letter f with hook = function = florin, U+0192 ISOtech.
    `static char` | `_forall` `∀` `&forall; = &#8704;` -- for all, U+2200 ISOtech.
    `static char` | `_frac12` `½` `&frac12; = &#189;` -- vulgar fraction one half = fraction one half, U+00BD ISOnum.
    `static char` | `_frac14` `¼` `&frac14; = &#188;` -- vulgar fraction one quarter = fraction one quarter, U+00BC ISOnum.
    `static char` | `_frac34` `¾` `&frac34; = &#190;` -- vulgar fraction three quarters = fraction three quarters, U+00BE ISOnum.
    `static char` | `_frasl` `⁄` `&frasl; = &#8260;` -- fraction slash, U+2044 NEW.
    `static char` | `_gamma` `γ` `&gamma; = &#947;` -- greek small letter gamma, U+03B3 ISOgrk3.
    `static char` | `_Gamma` `Γ` `&Gamma; = &#915;` -- greek capital letter gamma, U+0393 ISOgrk3.
    `static char` | `_ge` `≥` `&ge; = &#8805;` -- greater-than or equal to, U+2265 ISOtech.
    `static char` | `_gt` `>` `&gt; = &#62;` -- greater-than sign, U+003E ISOnum.
    `static char` | `_harr` `↔` `&harr; = &#8596;` -- left right arrow, U+2194 ISOamsa.
    `static char` | `_hArr` `⇔` `&hArr; = &#8660;` -- left right double arrow, U+21D4 ISOamsa.
    `static char` | `_hearts` `♥` `&hearts; = &#9829;` -- black heart suit = valentine, U+2665 ISOpub.
    `static char` | `_hellip` `…` `&hellip; = &#8230;` -- horizontal ellipsis = three dot leader, U+2026 ISOpub.
    `static char` | `_iacute` `í` `&iacute; = &#237;` -- latin small letter i with acute, U+00ED ISOlat1.
    `static char` | `_Iacute` `Í` `&Iacute; = &#205;` -- latin capital letter I with acute, U+00CD ISOlat1.
    `static char` | `_icirc` `î` `&icirc; = &#238;` -- latin small letter i with circumflex, U+00EE ISOlat1.
    `static char` | `_Icirc` `Î` `&Icirc; = &#206;` -- latin capital letter I with circumflex, U+00CE ISOlat1.
    `static char` | `_iexcl` `¡` `&iexcl; = &#161;` -- inverted exclamation mark, U+00A1 ISOnum.
    `static char` | `_igrave` `ì` `&igrave; = &#236;` -- latin small letter i with grave, U+00EC ISOlat1.
    `static char` | `_Igrave` `Ì` `&Igrave; = &#204;` -- latin capital letter I with grave, U+00CC ISOlat1.
    `static char` | `_image` `ℑ` `&image; = &#8465;` -- black-letter capital I = imaginary part, U+2111 ISOamso.
    `static char` | `_infin` `∞` `&infin; = &#8734;` -- infinity, U+221E ISOtech.
    `static char` | `_int` `∫` `&int; = &#8747;` -- integral, U+222B ISOtech.
    `static char` | `_iota` `ι` `&iota; = &#953;` -- greek small letter iota, U+03B9 ISOgrk3.
    `static char` | `_Iota` `Ι` `&Iota; = &#921;` -- greek capital letter iota, U+0399.
    `static char` | `_iquest` `¿` `&iquest; = &#191;` -- inverted question mark = turned question mark, U+00BF ISOnum.
    `static char` | `_isin` `∈` `&isin; = &#8712;` -- element of, U+2208 ISOtech.
    `static char` | `_iuml` `ï` `&iuml; = &#239;` -- latin small letter i with diaeresis, U+00EF ISOlat1.
    `static char` | `_Iuml` `Ï` `&Iuml; = &#207;` -- latin capital letter I with diaeresis, U+00CF ISOlat1.
    `static char` | `_kappa` `κ` `&kappa; = &#954;` -- greek small letter kappa, U+03BA ISOgrk3.
    `static char` | `_Kappa` `Κ` `&Kappa; = &#922;` -- greek capital letter kappa, U+039A.
    `static char` | `_lambda` `λ` `&lambda; = &#955;` -- greek small letter lambda, U+03BB ISOgrk3.
    `static char` | `_Lambda` `Λ` `&Lambda; = &#923;` -- greek capital letter lambda, U+039B ISOgrk3.
    `static char` | `_lang` `⟨` `&lang; = &#9001;` -- left-pointing angle bracket = bra, U+2329 ISOtech (see comments).
    `static char` | `_laquo` `«` `&laquo; = &#171;` -- left-pointing double angle quotation mark = left pointing guillemet, U+00AB ISOnum.
    `static char` | `_larr` `←` `&larr; = &#8592;` -- leftwards arrow, U+2190 ISOnum.
    `static char` | `_lArr` `⇐` `&lArr; = &#8656;` -- leftwards double arrow, U+21D0 ISOtech (see comments).
    `static char` | `_lceil` `⌈` `&lceil; = &#8968;` -- left ceiling = APL upstile, U+2308 ISOamsc.
    `static char` | `_ldquo` `“` `&ldquo; = &#8220;` -- left double quotation mark, U+201C ISOnum.
    `static char` | `_le` `≤` `&le; = &#8804;` -- less-than or equal to, U+2264 ISOtech.
    `static char` | `_lfloor` `⌊` `&lfloor; = &#8970;` -- left floor = APL downstile, U+230A ISOamsc.
    `static char` | `_lowast` `∗` `&lowast; = &#8727;` -- asterisk operator, U+2217 ISOtech.
    `static char` | `_loz` `◊` `&loz; = &#9674;` -- lozenge, U+25CA ISOpub.
    `static char` | `_lrm` `‎` `&lrm; = &#8206;` -- left-to-right mark, U+200E NEW RFC 2070.
    `static char` | `_lsaquo` `‹` `&lsaquo; = &#8249;` -- single left-pointing angle quotation mark, U+2039 ISO proposed (see comments).
    `static char` | `_lsquo` `‘` `&lsquo; = &#8216;` -- left single quotation mark, U+2018 ISOnum.
    `static char` | `_lt` `<` `&lt; = &#60;` -- less-than sign, U+003C ISOnum.
    `static char` | `_macr` `¯` `&macr; = &#175;` -- macron = spacing macron = overline = APL overbar, U+00AF ISOdia.
    `static char` | `_mdash` `—` `&mdash; = &#8212;` -- em dash, U+2014 ISOpub.
    `static char` | `_micro` `µ` `&micro; = &#181;` -- micro sign, U+00B5 ISOnum.
    `static char` | `_middot` `·` `&middot; = &#183;` -- middle dot = Georgian comma = Greek middle dot, U+00B7 ISOnum.
    `static char` | `_minus` `−` `&minus; = &#8722;` -- minus sign, U+2212 ISOtech.
    `static char` | `_mu` `μ` `&mu; = &#956;` -- greek small letter mu, U+03BC ISOgrk3.
    `static char` | `_Mu` `Μ` `&Mu; = &#924;` -- greek capital letter mu, U+039C.
    `static char` | `_nabla` `∇` `&nabla; = &#8711;` -- nabla = backward difference, U+2207 ISOtech.
    `static char` | `_nbsp` `` `&nbsp; = &#160;` -- no-break space = non-breaking space, U+00A0 ISOnum.
    `static char` | `_ndash` `–` `&ndash; = &#8211;` -- en dash, U+2013 ISOpub.
    `static char` | `_ne` `≠` `&ne; = &#8800;` -- not equal to, U+2260 ISOtech.
    `static char` | `_ni` `∋` `&ni; = &#8715;` -- contains as member, U+220B ISOtech (see comments).
    `static char` | `_not` `¬` `&not; = &#172;` -- not sign = angled dash, U+00AC ISOnum.
    `static char` | `_notin` `∉` `&notin; = &#8713;` -- not an element of, U+2209 ISOtech.
    `static char` | `_nsub` `⊄` `&nsub; = &#8836;` -- not a subset of, U+2284 ISOamsn.
    `static char` | `_ntilde` `ñ` `&ntilde; = &#241;` -- latin small letter n with tilde, U+00F1 ISOlat1.
    `static char` | `_Ntilde` `Ñ` `&Ntilde; = &#209;` -- latin capital letter N with tilde, U+00D1 ISOlat1.
    `static char` | `_nu` `ν` `&nu; = &#957;` -- greek small letter nu, U+03BD ISOgrk3.
    `static char` | `_Nu` `Ν` `&Nu; = &#925;` -- greek capital letter nu, U+039D.
    `static char` | `_oacute` `ó` `&oacute; = &#243;` -- latin small letter o with acute, U+00F3 ISOlat1.
    `static char` | `_Oacute` `Ó` `&Oacute; = &#211;` -- latin capital letter O with acute, U+00D3 ISOlat1.
    `static char` | `_ocirc` `ô` `&ocirc; = &#244;` -- latin small letter o with circumflex, U+00F4 ISOlat1.
    `static char` | `_Ocirc` `Ô` `&Ocirc; = &#212;` -- latin capital letter O with circumflex, U+00D4 ISOlat1.
    `static char` | `_oelig` `œ` `&oelig; = &#339;` -- latin small ligature oe, U+0153 ISOlat2 (see comments).
    `static char` | `_OElig` `Œ` `&OElig; = &#338;` -- latin capital ligature OE, U+0152 ISOlat2.
    `static char` | `_ograve` `ò` `&ograve; = &#242;` -- latin small letter o with grave, U+00F2 ISOlat1.
    `static char` | `_Ograve` `Ò` `&Ograve; = &#210;` -- latin capital letter O with grave, U+00D2 ISOlat1.
    `static char` | `_oline` `‾` `&oline; = &#8254;` -- overline = spacing overscore, U+203E NEW.
    `static char` | `_omega` `ω` `&omega; = &#969;` -- greek small letter omega, U+03C9 ISOgrk3.
    `static char` | `_Omega` `Ω` `&Omega; = &#937;` -- greek capital letter omega, U+03A9 ISOgrk3.
    `static char` | `_omicron` `ο` `&omicron; = &#959;` -- greek small letter omicron, U+03BF NEW.
    `static char` | `_Omicron` `Ο` `&Omicron; = &#927;` -- greek capital letter omicron, U+039F.
    `static char` | `_oplus` `⊕` `&oplus; = &#8853;` -- circled plus = direct sum, U+2295 ISOamsb.
    `static char` | `_or` `∨` `&or; = &#8744;` -- logical or = vee, U+2228 ISOtech.
    `static char` | `_ordf` `ª` `&ordf; = &#170;` -- feminine ordinal indicator, U+00AA ISOnum.
    `static char` | `_ordm` `º` `&ordm; = &#186;` -- masculine ordinal indicator, U+00BA ISOnum.
    `static char` | `_oslash` `ø` `&oslash; = &#248;` -- latin small letter o with stroke, = latin small letter o slash, U+00F8 ISOlat1.
    `static char` | `_Oslash` `Ø` `&Oslash; = &#216;` -- latin capital letter O with stroke = latin capital letter O slash, U+00D8 ISOlat1.
    `static char` | `_otilde` `õ` `&otilde; = &#245;` -- latin small letter o with tilde, U+00F5 ISOlat1.
    `static char` | `_Otilde` `Õ` `&Otilde; = &#213;` -- latin capital letter O with tilde, U+00D5 ISOlat1.
    `static char` | `_otimes` `⊗` `&otimes; = &#8855;` -- circled times = vector product, U+2297 ISOamsb.
    `static char` | `_ouml` `ö` `&ouml; = &#246;` -- latin small letter o with diaeresis, U+00F6 ISOlat1.
    `static char` | `_Ouml` `Ö` `&Ouml; = &#214;` -- latin capital letter O with diaeresis, U+00D6 ISOlat1.
    `static char` | `_para` `¶` `&para; = &#182;` -- pilcrow sign = paragraph sign, U+00B6 ISOnum.
    `static char` | `_part` `∂` `&part; = &#8706;` -- partial differential, U+2202 ISOtech.
    `static char` | `_permil` `‰` `&permil; = &#8240;` -- per mille sign, U+2030 ISOtech.
    `static char` | `_perp` `⊥` `&perp; = &#8869;` -- up tack = orthogonal to = perpendicular, U+22A5 ISOtech.
    `static char` | `_phi` `φ` `&phi; = &#966;` -- greek small letter phi, U+03C6 ISOgrk3.
    `static char` | `_Phi` `Φ` `&Phi; = &#934;` -- greek capital letter phi, U+03A6 ISOgrk3.
    `static char` | `_pi` `π` `&pi; = &#960;` -- greek small letter pi, U+03C0 ISOgrk3.
    `static char` | `_Pi` `Π` `&Pi; = &#928;` -- greek capital letter pi, U+03A0 ISOgrk3.
    `static char` | `_piv` `ϖ` `&piv; = &#982;` -- greek pi symbol, U+03D6 ISOgrk3.
    `static char` | `_plusmn` `±` `&plusmn; = &#177;` -- plus-minus sign = plus-or-minus sign, U+00B1 ISOnum.
    `static char` | `_pound` `£` `&pound; = &#163;` -- pound sign, U+00A3 ISOnum.
    `static char` | `_prime` `′` `&prime; = &#8242;` -- prime = minutes = feet, U+2032 ISOtech.
    `static char` | `_Prime` `″` `&Prime; = &#8243;` -- double prime = seconds = inches, U+2033 ISOtech.
    `static char` | `_prod` `∏` `&prod; = &#8719;` -- n-ary product = product sign, U+220F ISOamsb (see comments).
    `static char` | `_prop` `∝` `&prop; = &#8733;` -- proportional to, U+221D ISOtech.
    `static char` | `_psi` `ψ` `&psi; = &#968;` -- greek small letter psi, U+03C8 ISOgrk3.
    `static char` | `_Psi` `Ψ` `&Psi; = &#936;` -- greek capital letter psi, U+03A8 ISOgrk3.
    `static char` | `_quot` `"` `&quot; = &#34;` -- quotation mark = APL quote, U+0022 ISOnum.
    `static char` | `_radic` `√` `&radic; = &#8730;` -- square root = radical sign, U+221A ISOtech.
    `static char` | `_rang` `⟩` `&rang; = &#9002;` -- right-pointing angle bracket = ket, U+232A ISOtech (see comments).
    `static char` | `_raquo` `»` `&raquo; = &#187;` -- right-pointing double angle quotation mark = right pointing guillemet, U+00BB ISOnum.
    `static char` | `_rarr` `→` `&rarr; = &#8594;` -- rightwards arrow, U+2192 ISOnum.
    `static char` | `_rArr` `⇒` `&rArr; = &#8658;` -- rightwards double arrow, U+21D2 ISOtech (see comments).
    `static char` | `_rceil` `⌉` `&rceil; = &#8969;` -- right ceiling, U+2309 ISOamsc.
    `static char` | `_rdquo` `”` `&rdquo; = &#8221;` -- right double quotation mark, U+201D ISOnum.
    `static char` | `_real` `ℜ` `&real; = &#8476;` -- black-letter capital R = real part symbol, U+211C ISOamso.
    `static char` | `_reg` `®` `&reg; = &#174;` -- registered sign = registered trade mark sign, U+00AE ISOnum.
    `static char` | `_rfloor` `⌋` `&rfloor; = &#8971;` -- right floor, U+230B ISOamsc.
    `static char` | `_rho` `ρ` `&rho; = &#961;` -- greek small letter rho, U+03C1 ISOgrk3.
    `static char` | `_Rho` `Ρ` `&Rho; = &#929;` -- greek capital letter rho, U+03A1.
    `static char` | `_rlm` `‏` `&rlm; = &#8207;` -- right-to-left mark, U+200F NEW RFC 2070.
    `static char` | `_rsaquo` `›` `&rsaquo; = &#8250;` -- single right-pointing angle quotation mark, U+203A ISO proposed (see comments).
    `static char` | `_rsquo` `’` `&rsquo; = &#8217;` -- right single quotation mark, U+2019 ISOnum.
    `static char` | `_sbquo` `‚` `&sbquo; = &#8218;` -- single low-9 quotation mark, U+201A NEW.
    `static char` | `_scaron` `š` `&scaron; = &#353;` -- latin small letter s with caron, U+0161 ISOlat2.
    `static char` | `_Scaron` `Š` `&Scaron; = &#352;` -- latin capital letter S with caron, U+0160 ISOlat2.
    `static char` | `_sdot` `⋅` `&sdot; = &#8901;` -- dot operator, U+22C5 ISOamsb (see comments).
    `static char` | `_sect` `§` `&sect; = &#167;` -- section sign, U+00A7 ISOnum.
    `static char` | `_shy` `` `&shy; = &#173;` -- soft hyphen = discretionary hyphen, U+00AD ISOnum.
    `static char` | `_sigma` `σ` `&sigma; = &#963;` -- greek small letter sigma, U+03C3 ISOgrk3.
    `static char` | `_Sigma` `Σ` `&Sigma; = &#931;` -- greek capital letter sigma, U+03A3 ISOgrk3.
    `static char` | `_sigmaf` `ς` `&sigmaf; = &#962;` -- greek small letter final sigma, U+03C2 ISOgrk3.
    `static char` | `_sim` `∼` `&sim; = &#8764;` -- tilde operator = varies with = similar to, U+223C ISOtech (see comments).
    `static char` | `_spades` `♠` `&spades; = &#9824;` -- black spade suit, U+2660 ISOpub (see comments).
    `static char` | `_sub` `⊂` `&sub; = &#8834;` -- subset of, U+2282 ISOtech.
    `static char` | `_sube` `⊆` `&sube; = &#8838;` -- subset of or equal to, U+2286 ISOtech.
    `static char` | `_sum` `∑` `&sum; = &#8721;` -- n-ary summation, U+2211 ISOamsb (see comments).
    `static char` | `_sup` `⊃` `&sup; = &#8835;` -- superset of, U+2283 ISOtech (see comments).
    `static char` | `_sup1` `¹` `&sup1; = &#185;` -- superscript one = superscript digit one, U+00B9 ISOnum.
    `static char` | `_sup2` `²` `&sup2; = &#178;` -- superscript two = superscript digit two = squared, U+00B2 ISOnum.
    `static char` | `_sup3` `³` `&sup3; = &#179;` -- superscript three = superscript digit three = cubed, U+00B3 ISOnum.
    `static char` | `_supe` `⊇` `&supe; = &#8839;` -- superset of or equal to, U+2287 ISOtech.
    `static char` | `_szlig` `ß` `&szlig; = &#223;` -- latin small letter sharp s = ess-zed, U+00DF ISOlat1.
    `static char` | `_tau` `τ` `&tau; = &#964;` -- greek small letter tau, U+03C4 ISOgrk3.
    `static char` | `_Tau` `Τ` `&Tau; = &#932;` -- greek capital letter tau, U+03A4.
    `static char` | `_there4` `∴` `&there4; = &#8756;` -- therefore, U+2234 ISOtech.
    `static char` | `_theta` `θ` `&theta; = &#952;` -- greek small letter theta, U+03B8 ISOgrk3.
    `static char` | `_Theta` `Θ` `&Theta; = &#920;` -- greek capital letter theta, U+0398 ISOgrk3.
    `static char` | `_thetasym` `ϑ` `&thetasym; = &#977;` -- greek small letter theta symbol, U+03D1 NEW.
    `static char` | `_thinsp` `` `&thinsp; = &#8201;` -- thin space, U+2009 ISOpub.
    `static char` | `_thorn` `þ` `&thorn; = &#254;` -- latin small letter thorn, U+00FE ISOlat1.
    `static char` | `_THORN` `Þ` `&THORN; = &#222;` -- latin capital letter THORN, U+00DE ISOlat1.
    `static char` | `_tilde` `˜` `&tilde; = &#732;` -- small tilde, U+02DC ISOdia.
    `static char` | `_times` `×` `&times; = &#215;` -- multiplication sign, U+00D7 ISOnum.
    `static char` | `_trade` `™` `&trade; = &#8482;` -- trade mark sign, U+2122 ISOnum.
    `static char` | `_uacute` `ú` `&uacute; = &#250;` -- latin small letter u with acute, U+00FA ISOlat1.
    `static char` | `_Uacute` `Ú` `&Uacute; = &#218;` -- latin capital letter U with acute, U+00DA ISOlat1.
    `static char` | `_uarr` `↑` `&uarr; = &#8593;` -- upwards arrow, U+2191 ISOnum.
    `static char` | `_uArr` `⇑` `&uArr; = &#8657;` -- upwards double arrow, U+21D1 ISOamsa.
    `static char` | `_ucirc` `û` `&ucirc; = &#251;` -- latin small letter u with circumflex, U+00FB ISOlat1.
    `static char` | `_Ucirc` `Û` `&Ucirc; = &#219;` -- latin capital letter U with circumflex, U+00DB ISOlat1.
    `static char` | `_ugrave` `ù` `&ugrave; = &#249;` -- latin small letter u with grave, U+00F9 ISOlat1.
    `static char` | `_Ugrave` `Ù` `&Ugrave; = &#217;` -- latin capital letter U with grave, U+00D9 ISOlat1.
    `static char` | `_uml` `¨` `&uml; = &#168;` -- diaeresis = spacing diaeresis, U+00A8 ISOdia.
    `static char` | `_upsih` `ϒ` `&upsih; = &#978;` -- greek upsilon with hook symbol, U+03D2 NEW.
    `static char` | `_upsilon` `υ` `&upsilon; = &#965;` -- greek small letter upsilon, U+03C5 ISOgrk3.
    `static char` | `_Upsilon` `Υ` `&Upsilon; = &#933;` -- greek capital letter upsilon, U+03A5 ISOgrk3.
    `static char` | `_uuml` `ü` `&uuml; = &#252;` -- latin small letter u with diaeresis, U+00FC ISOlat1.
    `static char` | `_Uuml` `Ü` `&Uuml; = &#220;` -- latin capital letter U with diaeresis, U+00DC ISOlat1.
    `static char` | `_weierp` `℘` `&weierp; = &#8472;` -- script capital P = power set = Weierstrass p, U+2118 ISOamso.
    `static char` | `_xi` `ξ` `&xi; = &#958;` -- greek small letter xi, U+03BE ISOgrk3.
    `static char` | `_Xi` `Ξ` `&Xi; = &#926;` -- greek capital letter xi, U+039E ISOgrk3.
    `static char` | `_yacute` `ý` `&yacute; = &#253;` -- latin small letter y with acute, U+00FD ISOlat1.
    `static char` | `_Yacute` `Ý` `&Yacute; = &#221;` -- latin capital letter Y with acute, U+00DD ISOlat1.
    `static char` | `_yen` `¥` `&yen; = &#165;` -- yen sign = yuan sign, U+00A5 ISOnum.
    `static char` | `_yuml` `ÿ` `&yuml; = &#255;` -- latin small letter y with diaeresis, U+00FF ISOlat1.
    `static char` | `_Yuml` `Ÿ` `&Yuml; = &#376;` -- latin capital letter Y with diaeresis, U+0178 ISOlat2.
    `static char` | `_zeta` `ζ` `&zeta; = &#950;` -- greek small letter zeta, U+03B6 ISOgrk3.
    `static char` | `_Zeta` `Ζ` `&Zeta; = &#918;` -- greek capital letter zeta, U+0396.
    `static char` | `_zwj` `‍` `&zwj; = &#8205;` -- zero width joiner, U+200D NEW RFC 2070.
    `static char` | `_zwnj` `‌` `&zwnj; = &#8204;` -- zero width non-joiner, U+200C NEW RFC 2070.

    - ### Fields inherited from class net.htmlparser.jericho.CharacterReference

      `INVALID_CODE_POINT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCharacterReferenceString()` Returns the correct encoded form of this character entity reference.
    `static java.lang.String` | `getCharacterReferenceString(int codePoint)` Returns the character entity reference encoded form of the specified unicode code point.
    `static int` | `getCodePointFromName(java.lang.String name)` Returns the unicode code point of the specified character entity reference name.
    `java.lang.String` | `getDebugInfo()` Returns a string representation of this object useful for debugging purposes.
    `java.lang.String` | `getName()` Returns the name of this character entity reference.
    `static java.lang.String` | `getName(char ch)` Returns the character entity reference name of the specified character.
    `static java.lang.String` | `getName(int codePoint)` Returns the character entity reference name of the specified unicode code point.
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `getNameToCodePointMap()` Returns a map of character entity reference names (`String`) to unicode code points (`Integer`).

    - ### Methods inherited from class net.htmlparser.jericho.CharacterReference

      `appendCharTo, decode, decode, decodeCollapseWhiteSpace, encode, encode, encodeWithWhiteSpaceFormatting, getChar, getCodePoint, getCodePointFromCharacterReferenceString, getDecimalCharacterReferenceString, getDecimalCharacterReferenceString, getEncodingFilterWriter, getHexadecimalCharacterReferenceString, getHexadecimalCharacterReferenceString, getUnicodeText, getUnicodeText, isTerminated, parse, reencode, requiresEncoding`

    - ### Methods inherited from class net.htmlparser.jericho.Segment

      `charAt, compareTo, encloses, encloses, equals, getAllCharacterReferences, getAllElements, getAllElements, getAllElements, getAllElements, getAllElements, getAllElementsByClass, getAllStartTags, getAllStartTags, getAllStartTags, getAllStartTags, getAllStartTags, getAllStartTagsByClass, getAllTags, getAllTags, getBegin, getChildElements, getEnd, getFirstElement, getFirstElement, getFirstElement, getFirstElement, getFirstElementByClass, getFirstStartTag, getFirstStartTag, getFirstStartTag, getFirstStartTag, getFirstStartTag, getFirstStartTagByClass, getFormControls, getFormFields, getMaxDepthIndicator, getNodeIterator, getRenderer, getRowColumnVector, getSource, getStyleURISegments, getTextExtractor, getURIAttributes, hashCode, ignoreWhenParsing, isWhiteSpace, isWhiteSpace, length, parseAttributes, subSequence, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _nbsp

          public static final char _nbsp

      `` `&nbsp; = &#160;` -- no-break space = non-breaking space, U+00A0 ISOnum.
      See Also:
        Constant Field Values

    - #### _iexcl

          public static final char _iexcl

      `¡` `&iexcl; = &#161;` -- inverted exclamation mark, U+00A1 ISOnum.
      See Also:
        Constant Field Values

    - #### _cent

          public static final char _cent

      `¢` `&cent; = &#162;` -- cent sign, U+00A2 ISOnum.
      See Also:
        Constant Field Values

    - #### _pound

          public static final char _pound

      `£` `&pound; = &#163;` -- pound sign, U+00A3 ISOnum.
      See Also:
        Constant Field Values

    - #### _curren

          public static final char _curren

      `¤` `&curren; = &#164;` -- currency sign, U+00A4 ISOnum.
      See Also:
        Constant Field Values

    - #### _yen

          public static final char _yen

      `¥` `&yen; = &#165;` -- yen sign = yuan sign, U+00A5 ISOnum.
      See Also:
        Constant Field Values

    - #### _brvbar

          public static final char _brvbar

      `¦` `&brvbar; = &#166;` -- broken bar = broken vertical bar, U+00A6 ISOnum.
      See Also:
        Constant Field Values

    - #### _sect

          public static final char _sect

      `§` `&sect; = &#167;` -- section sign, U+00A7 ISOnum.
      See Also:
        Constant Field Values

    - #### _uml

          public static final char _uml

      `¨` `&uml; = &#168;` -- diaeresis = spacing diaeresis, U+00A8 ISOdia.
      See Also:
        Constant Field Values

    - #### _copy

          public static final char _copy

      `©` `&copy; = &#169;` -- copyright sign, U+00A9 ISOnum.
      See Also:
        Constant Field Values

    - #### _ordf

          public static final char _ordf

      `ª` `&ordf; = &#170;` -- feminine ordinal indicator, U+00AA ISOnum.
      See Also:
        Constant Field Values

    - #### _laquo

          public static final char _laquo

      `«` `&laquo; = &#171;` -- left-pointing double angle quotation mark = left pointing guillemet, U+00AB ISOnum.
      See Also:
        Constant Field Values

    - #### _not

          public static final char _not

      `¬` `&not; = &#172;` -- not sign = angled dash, U+00AC ISOnum.
      See Also:
        Constant Field Values

    - #### _shy

          public static final char _shy

      `` `&shy; = &#173;` -- soft hyphen = discretionary hyphen, U+00AD ISOnum.
      See Also:
        Constant Field Values

    - #### _reg

          public static final char _reg

      `®` `&reg; = &#174;` -- registered sign = registered trade mark sign, U+00AE ISOnum.
      See Also:
        Constant Field Values

    - #### _macr

          public static final char _macr

      `¯` `&macr; = &#175;` -- macron = spacing macron = overline = APL overbar, U+00AF ISOdia.
      See Also:
        Constant Field Values

    - #### _deg

          public static final char _deg

      `°` `&deg; = &#176;` -- degree sign, U+00B0 ISOnum.
      See Also:
        Constant Field Values

    - #### _plusmn

          public static final char _plusmn

      `±` `&plusmn; = &#177;` -- plus-minus sign = plus-or-minus sign, U+00B1 ISOnum.
      See Also:
        Constant Field Values

    - #### _sup2

          public static final char _sup2

      `²` `&sup2; = &#178;` -- superscript two = superscript digit two = squared, U+00B2 ISOnum.
      See Also:
        Constant Field Values

    - #### _sup3

          public static final char _sup3

      `³` `&sup3; = &#179;` -- superscript three = superscript digit three = cubed, U+00B3 ISOnum.
      See Also:
        Constant Field Values

    - #### _acute

          public static final char _acute

      `´` `&acute; = &#180;` -- acute accent = spacing acute, U+00B4 ISOdia.
      See Also:
        Constant Field Values

    - #### _micro

          public static final char _micro

      `µ` `&micro; = &#181;` -- micro sign, U+00B5 ISOnum.
      See Also:
        Constant Field Values

    - #### _para

          public static final char _para

      `¶` `&para; = &#182;` -- pilcrow sign = paragraph sign, U+00B6 ISOnum.
      See Also:
        Constant Field Values

    - #### _middot

          public static final char _middot

      `·` `&middot; = &#183;` -- middle dot = Georgian comma = Greek middle dot, U+00B7 ISOnum.
      See Also:
        Constant Field Values

    - #### _cedil

          public static final char _cedil

      `¸` `&cedil; = &#184;` -- cedilla = spacing cedilla, U+00B8 ISOdia.
      See Also:
        Constant Field Values

    - #### _sup1

          public static final char _sup1

      `¹` `&sup1; = &#185;` -- superscript one = superscript digit one, U+00B9 ISOnum.
      See Also:
        Constant Field Values

    - #### _ordm

          public static final char _ordm

      `º` `&ordm; = &#186;` -- masculine ordinal indicator, U+00BA ISOnum.
      See Also:
        Constant Field Values

    - #### _raquo

          public static final char _raquo

      `»` `&raquo; = &#187;` -- right-pointing double angle quotation mark = right pointing guillemet, U+00BB ISOnum.
      See Also:
        Constant Field Values

    - #### _frac14

          public static final char _frac14

      `¼` `&frac14; = &#188;` -- vulgar fraction one quarter = fraction one quarter, U+00BC ISOnum.
      See Also:
        Constant Field Values

    - #### _frac12

          public static final char _frac12

      `½` `&frac12; = &#189;` -- vulgar fraction one half = fraction one half, U+00BD ISOnum.
      See Also:
        Constant Field Values

    - #### _frac34

          public static final char _frac34

      `¾` `&frac34; = &#190;` -- vulgar fraction three quarters = fraction three quarters, U+00BE ISOnum.
      See Also:
        Constant Field Values

    - #### _iquest

          public static final char _iquest

      `¿` `&iquest; = &#191;` -- inverted question mark = turned question mark, U+00BF ISOnum.
      See Also:
        Constant Field Values

    - #### _Agrave

          public static final char _Agrave

      `À` `&Agrave; = &#192;` -- latin capital letter A with grave = latin capital letter A grave, U+00C0 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Aacute

          public static final char _Aacute

      `Á` `&Aacute; = &#193;` -- latin capital letter A with acute, U+00C1 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Acirc

          public static final char _Acirc

      `Â` `&Acirc; = &#194;` -- latin capital letter A with circumflex, U+00C2 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Atilde

          public static final char _Atilde

      `Ã` `&Atilde; = &#195;` -- latin capital letter A with tilde, U+00C3 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Auml

          public static final char _Auml

      `Ä` `&Auml; = &#196;` -- latin capital letter A with diaeresis, U+00C4 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Aring

          public static final char _Aring

      `Å` `&Aring; = &#197;` -- latin capital letter A with ring above = latin capital letter A ring, U+00C5 ISOlat1.
      See Also:
        Constant Field Values

    - #### _AElig

          public static final char _AElig

      `Æ` `&AElig; = &#198;` -- latin capital letter AE = latin capital ligature AE, U+00C6 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ccedil

          public static final char _Ccedil

      `Ç` `&Ccedil; = &#199;` -- latin capital letter C with cedilla, U+00C7 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Egrave

          public static final char _Egrave

      `È` `&Egrave; = &#200;` -- latin capital letter E with grave, U+00C8 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Eacute

          public static final char _Eacute

      `É` `&Eacute; = &#201;` -- latin capital letter E with acute, U+00C9 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ecirc

          public static final char _Ecirc

      `Ê` `&Ecirc; = &#202;` -- latin capital letter E with circumflex, U+00CA ISOlat1.
      See Also:
        Constant Field Values

    - #### _Euml

          public static final char _Euml

      `Ë` `&Euml; = &#203;` -- latin capital letter E with diaeresis, U+00CB ISOlat1.
      See Also:
        Constant Field Values

    - #### _Igrave

          public static final char _Igrave

      `Ì` `&Igrave; = &#204;` -- latin capital letter I with grave, U+00CC ISOlat1.
      See Also:
        Constant Field Values

    - #### _Iacute

          public static final char _Iacute

      `Í` `&Iacute; = &#205;` -- latin capital letter I with acute, U+00CD ISOlat1.
      See Also:
        Constant Field Values

    - #### _Icirc

          public static final char _Icirc

      `Î` `&Icirc; = &#206;` -- latin capital letter I with circumflex, U+00CE ISOlat1.
      See Also:
        Constant Field Values

    - #### _Iuml

          public static final char _Iuml

      `Ï` `&Iuml; = &#207;` -- latin capital letter I with diaeresis, U+00CF ISOlat1.
      See Also:
        Constant Field Values

    - #### _ETH

          public static final char _ETH

      `Ð` `&ETH; = &#208;` -- latin capital letter ETH, U+00D0 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ntilde

          public static final char _Ntilde

      `Ñ` `&Ntilde; = &#209;` -- latin capital letter N with tilde, U+00D1 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ograve

          public static final char _Ograve

      `Ò` `&Ograve; = &#210;` -- latin capital letter O with grave, U+00D2 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Oacute

          public static final char _Oacute

      `Ó` `&Oacute; = &#211;` -- latin capital letter O with acute, U+00D3 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ocirc

          public static final char _Ocirc

      `Ô` `&Ocirc; = &#212;` -- latin capital letter O with circumflex, U+00D4 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Otilde

          public static final char _Otilde

      `Õ` `&Otilde; = &#213;` -- latin capital letter O with tilde, U+00D5 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ouml

          public static final char _Ouml

      `Ö` `&Ouml; = &#214;` -- latin capital letter O with diaeresis, U+00D6 ISOlat1.
      See Also:
        Constant Field Values

    - #### _times

          public static final char _times

      `×` `&times; = &#215;` -- multiplication sign, U+00D7 ISOnum.
      See Also:
        Constant Field Values

    - #### _Oslash

          public static final char _Oslash

      `Ø` `&Oslash; = &#216;` -- latin capital letter O with stroke = latin capital letter O slash, U+00D8 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ugrave

          public static final char _Ugrave

      `Ù` `&Ugrave; = &#217;` -- latin capital letter U with grave, U+00D9 ISOlat1.
      See Also:
        Constant Field Values

    - #### _Uacute

          public static final char _Uacute

      `Ú` `&Uacute; = &#218;` -- latin capital letter U with acute, U+00DA ISOlat1.
      See Also:
        Constant Field Values

    - #### _Ucirc

          public static final char _Ucirc

      `Û` `&Ucirc; = &#219;` -- latin capital letter U with circumflex, U+00DB ISOlat1.
      See Also:
        Constant Field Values

    - #### _Uuml

          public static final char _Uuml

      `Ü` `&Uuml; = &#220;` -- latin capital letter U with diaeresis, U+00DC ISOlat1.
      See Also:
        Constant Field Values

    - #### _Yacute

          public static final char _Yacute

      `Ý` `&Yacute; = &#221;` -- latin capital letter Y with acute, U+00DD ISOlat1.
      See Also:
        Constant Field Values

    - #### _THORN

          public static final char _THORN

      `Þ` `&THORN; = &#222;` -- latin capital letter THORN, U+00DE ISOlat1.
      See Also:
        Constant Field Values

    - #### _szlig

          public static final char _szlig

      `ß` `&szlig; = &#223;` -- latin small letter sharp s = ess-zed, U+00DF ISOlat1.
      See Also:
        Constant Field Values

    - #### _agrave

          public static final char _agrave

      `à` `&agrave; = &#224;` -- latin small letter a with grave = latin small letter a grave, U+00E0 ISOlat1.
      See Also:
        Constant Field Values

    - #### _aacute

          public static final char _aacute

      `á` `&aacute; = &#225;` -- latin small letter a with acute, U+00E1 ISOlat1.
      See Also:
        Constant Field Values

    - #### _acirc

          public static final char _acirc

      `â` `&acirc; = &#226;` -- latin small letter a with circumflex, U+00E2 ISOlat1.
      See Also:
        Constant Field Values

    - #### _atilde

          public static final char _atilde

      `ã` `&atilde; = &#227;` -- latin small letter a with tilde, U+00E3 ISOlat1.
      See Also:
        Constant Field Values

    - #### _auml

          public static final char _auml

      `ä` `&auml; = &#228;` -- latin small letter a with diaeresis, U+00E4 ISOlat1.
      See Also:
        Constant Field Values

    - #### _aring

          public static final char _aring

      `å` `&aring; = &#229;` -- latin small letter a with ring above = latin small letter a ring, U+00E5 ISOlat1.
      See Also:
        Constant Field Values

    - #### _aelig

          public static final char _aelig

      `æ` `&aelig; = &#230;` -- latin small letter ae = latin small ligature ae, U+00E6 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ccedil

          public static final char _ccedil

      `ç` `&ccedil; = &#231;` -- latin small letter c with cedilla, U+00E7 ISOlat1.
      See Also:
        Constant Field Values

    - #### _egrave

          public static final char _egrave

      `è` `&egrave; = &#232;` -- latin small letter e with grave, U+00E8 ISOlat1.
      See Also:
        Constant Field Values

    - #### _eacute

          public static final char _eacute

      `é` `&eacute; = &#233;` -- latin small letter e with acute, U+00E9 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ecirc

          public static final char _ecirc

      `ê` `&ecirc; = &#234;` -- latin small letter e with circumflex, U+00EA ISOlat1.
      See Also:
        Constant Field Values

    - #### _euml

          public static final char _euml

      `ë` `&euml; = &#235;` -- latin small letter e with diaeresis, U+00EB ISOlat1.
      See Also:
        Constant Field Values

    - #### _igrave

          public static final char _igrave

      `ì` `&igrave; = &#236;` -- latin small letter i with grave, U+00EC ISOlat1.
      See Also:
        Constant Field Values

    - #### _iacute

          public static final char _iacute

      `í` `&iacute; = &#237;` -- latin small letter i with acute, U+00ED ISOlat1.
      See Also:
        Constant Field Values

    - #### _icirc

          public static final char _icirc

      `î` `&icirc; = &#238;` -- latin small letter i with circumflex, U+00EE ISOlat1.
      See Also:
        Constant Field Values

    - #### _iuml

          public static final char _iuml

      `ï` `&iuml; = &#239;` -- latin small letter i with diaeresis, U+00EF ISOlat1.
      See Also:
        Constant Field Values

    - #### _eth

          public static final char _eth

      `ð` `&eth; = &#240;` -- latin small letter eth, U+00F0 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ntilde

          public static final char _ntilde

      `ñ` `&ntilde; = &#241;` -- latin small letter n with tilde, U+00F1 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ograve

          public static final char _ograve

      `ò` `&ograve; = &#242;` -- latin small letter o with grave, U+00F2 ISOlat1.
      See Also:
        Constant Field Values

    - #### _oacute

          public static final char _oacute

      `ó` `&oacute; = &#243;` -- latin small letter o with acute, U+00F3 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ocirc

          public static final char _ocirc

      `ô` `&ocirc; = &#244;` -- latin small letter o with circumflex, U+00F4 ISOlat1.
      See Also:
        Constant Field Values

    - #### _otilde

          public static final char _otilde

      `õ` `&otilde; = &#245;` -- latin small letter o with tilde, U+00F5 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ouml

          public static final char _ouml

      `ö` `&ouml; = &#246;` -- latin small letter o with diaeresis, U+00F6 ISOlat1.
      See Also:
        Constant Field Values

    - #### _divide

          public static final char _divide

      `÷` `&divide; = &#247;` -- division sign, U+00F7 ISOnum.
      See Also:
        Constant Field Values

    - #### _oslash

          public static final char _oslash

      `ø` `&oslash; = &#248;` -- latin small letter o with stroke, = latin small letter o slash, U+00F8 ISOlat1.
      See Also:
        Constant Field Values

    - #### _ugrave

          public static final char _ugrave

      `ù` `&ugrave; = &#249;` -- latin small letter u with grave, U+00F9 ISOlat1.
      See Also:
        Constant Field Values

    - #### _uacute

          public static final char _uacute

      `ú` `&uacute; = &#250;` -- latin small letter u with acute, U+00FA ISOlat1.
      See Also:
        Constant Field Values

    - #### _ucirc

          public static final char _ucirc

      `û` `&ucirc; = &#251;` -- latin small letter u with circumflex, U+00FB ISOlat1.
      See Also:
        Constant Field Values

    - #### _uuml

          public static final char _uuml

      `ü` `&uuml; = &#252;` -- latin small letter u with diaeresis, U+00FC ISOlat1.
      See Also:
        Constant Field Values

    - #### _yacute

          public static final char _yacute

      `ý` `&yacute; = &#253;` -- latin small letter y with acute, U+00FD ISOlat1.
      See Also:
        Constant Field Values

    - #### _thorn

          public static final char _thorn

      `þ` `&thorn; = &#254;` -- latin small letter thorn, U+00FE ISOlat1.
      See Also:
        Constant Field Values

    - #### _yuml

          public static final char _yuml

      `ÿ` `&yuml; = &#255;` -- latin small letter y with diaeresis, U+00FF ISOlat1.
      See Also:
        Constant Field Values

    - #### _fnof

          public static final char _fnof

      `ƒ` `&fnof; = &#402;` -- latin small letter f with hook = function = florin, U+0192 ISOtech.
      See Also:
        Constant Field Values

    - #### _Alpha

          public static final char _Alpha

      `Α` `&Alpha; = &#913;` -- greek capital letter alpha, U+0391.
      See Also:
        Constant Field Values

    - #### _Beta

          public static final char _Beta

      `Β` `&Beta; = &#914;` -- greek capital letter beta, U+0392.
      See Also:
        Constant Field Values

    - #### _Gamma

          public static final char _Gamma

      `Γ` `&Gamma; = &#915;` -- greek capital letter gamma, U+0393 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Delta

          public static final char _Delta

      `Δ` `&Delta; = &#916;` -- greek capital letter delta, U+0394 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Epsilon

          public static final char _Epsilon

      `Ε` `&Epsilon; = &#917;` -- greek capital letter epsilon, U+0395.
      See Also:
        Constant Field Values

    - #### _Zeta

          public static final char _Zeta

      `Ζ` `&Zeta; = &#918;` -- greek capital letter zeta, U+0396.
      See Also:
        Constant Field Values

    - #### _Eta

          public static final char _Eta

      `Η` `&Eta; = &#919;` -- greek capital letter eta, U+0397.
      See Also:
        Constant Field Values

    - #### _Theta

          public static final char _Theta

      `Θ` `&Theta; = &#920;` -- greek capital letter theta, U+0398 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Iota

          public static final char _Iota

      `Ι` `&Iota; = &#921;` -- greek capital letter iota, U+0399.
      See Also:
        Constant Field Values

    - #### _Kappa

          public static final char _Kappa

      `Κ` `&Kappa; = &#922;` -- greek capital letter kappa, U+039A.
      See Also:
        Constant Field Values

    - #### _Lambda

          public static final char _Lambda

      `Λ` `&Lambda; = &#923;` -- greek capital letter lambda, U+039B ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Mu

          public static final char _Mu

      `Μ` `&Mu; = &#924;` -- greek capital letter mu, U+039C.
      See Also:
        Constant Field Values

    - #### _Nu

          public static final char _Nu

      `Ν` `&Nu; = &#925;` -- greek capital letter nu, U+039D.
      See Also:
        Constant Field Values

    - #### _Xi

          public static final char _Xi

      `Ξ` `&Xi; = &#926;` -- greek capital letter xi, U+039E ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Omicron

          public static final char _Omicron

      `Ο` `&Omicron; = &#927;` -- greek capital letter omicron, U+039F.
      See Also:
        Constant Field Values

    - #### _Pi

          public static final char _Pi

      `Π` `&Pi; = &#928;` -- greek capital letter pi, U+03A0 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Rho

          public static final char _Rho

      `Ρ` `&Rho; = &#929;` -- greek capital letter rho, U+03A1.
      See Also:
        Constant Field Values

    - #### _Sigma

          public static final char _Sigma

      `Σ` `&Sigma; = &#931;` -- greek capital letter sigma, U+03A3 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Tau

          public static final char _Tau

      `Τ` `&Tau; = &#932;` -- greek capital letter tau, U+03A4.
      See Also:
        Constant Field Values

    - #### _Upsilon

          public static final char _Upsilon

      `Υ` `&Upsilon; = &#933;` -- greek capital letter upsilon, U+03A5 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Phi

          public static final char _Phi

      `Φ` `&Phi; = &#934;` -- greek capital letter phi, U+03A6 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Chi

          public static final char _Chi

      `Χ` `&Chi; = &#935;` -- greek capital letter chi, U+03A7.
      See Also:
        Constant Field Values

    - #### _Psi

          public static final char _Psi

      `Ψ` `&Psi; = &#936;` -- greek capital letter psi, U+03A8 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _Omega

          public static final char _Omega

      `Ω` `&Omega; = &#937;` -- greek capital letter omega, U+03A9 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _alpha

          public static final char _alpha

      `α` `&alpha; = &#945;` -- greek small letter alpha, U+03B1 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _beta

          public static final char _beta

      `β` `&beta; = &#946;` -- greek small letter beta, U+03B2 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _gamma

          public static final char _gamma

      `γ` `&gamma; = &#947;` -- greek small letter gamma, U+03B3 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _delta

          public static final char _delta

      `δ` `&delta; = &#948;` -- greek small letter delta, U+03B4 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _epsilon

          public static final char _epsilon

      `ε` `&epsilon; = &#949;` -- greek small letter epsilon, U+03B5 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _zeta

          public static final char _zeta

      `ζ` `&zeta; = &#950;` -- greek small letter zeta, U+03B6 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _eta

          public static final char _eta

      `η` `&eta; = &#951;` -- greek small letter eta, U+03B7 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _theta

          public static final char _theta

      `θ` `&theta; = &#952;` -- greek small letter theta, U+03B8 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _iota

          public static final char _iota

      `ι` `&iota; = &#953;` -- greek small letter iota, U+03B9 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _kappa

          public static final char _kappa

      `κ` `&kappa; = &#954;` -- greek small letter kappa, U+03BA ISOgrk3.
      See Also:
        Constant Field Values

    - #### _lambda

          public static final char _lambda

      `λ` `&lambda; = &#955;` -- greek small letter lambda, U+03BB ISOgrk3.
      See Also:
        Constant Field Values

    - #### _mu

          public static final char _mu

      `μ` `&mu; = &#956;` -- greek small letter mu, U+03BC ISOgrk3.
      See Also:
        Constant Field Values

    - #### _nu

          public static final char _nu

      `ν` `&nu; = &#957;` -- greek small letter nu, U+03BD ISOgrk3.
      See Also:
        Constant Field Values

    - #### _xi

          public static final char _xi

      `ξ` `&xi; = &#958;` -- greek small letter xi, U+03BE ISOgrk3.
      See Also:
        Constant Field Values

    - #### _omicron

          public static final char _omicron

      `ο` `&omicron; = &#959;` -- greek small letter omicron, U+03BF NEW.
      See Also:
        Constant Field Values

    - #### _pi

          public static final char _pi

      `π` `&pi; = &#960;` -- greek small letter pi, U+03C0 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _rho

          public static final char _rho

      `ρ` `&rho; = &#961;` -- greek small letter rho, U+03C1 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _sigmaf

          public static final char _sigmaf

      `ς` `&sigmaf; = &#962;` -- greek small letter final sigma, U+03C2 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _sigma

          public static final char _sigma

      `σ` `&sigma; = &#963;` -- greek small letter sigma, U+03C3 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _tau

          public static final char _tau

      `τ` `&tau; = &#964;` -- greek small letter tau, U+03C4 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _upsilon

          public static final char _upsilon

      `υ` `&upsilon; = &#965;` -- greek small letter upsilon, U+03C5 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _phi

          public static final char _phi

      `φ` `&phi; = &#966;` -- greek small letter phi, U+03C6 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _chi

          public static final char _chi

      `χ` `&chi; = &#967;` -- greek small letter chi, U+03C7 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _psi

          public static final char _psi

      `ψ` `&psi; = &#968;` -- greek small letter psi, U+03C8 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _omega

          public static final char _omega

      `ω` `&omega; = &#969;` -- greek small letter omega, U+03C9 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _thetasym

          public static final char _thetasym

      `ϑ` `&thetasym; = &#977;` -- greek small letter theta symbol, U+03D1 NEW.
      See Also:
        Constant Field Values

    - #### _upsih

          public static final char _upsih

      `ϒ` `&upsih; = &#978;` -- greek upsilon with hook symbol, U+03D2 NEW.
      See Also:
        Constant Field Values

    - #### _piv

          public static final char _piv

      `ϖ` `&piv; = &#982;` -- greek pi symbol, U+03D6 ISOgrk3.
      See Also:
        Constant Field Values

    - #### _bull

          public static final char _bull

      `•` `&bull; = &#8226;` -- bullet = black small circle, U+2022 ISOpub
      (see comments).

      bullet is NOT the same as bullet operator, U+2219

      See Also:
        Constant Field Values

    - #### _hellip

          public static final char _hellip

      `…` `&hellip; = &#8230;` -- horizontal ellipsis = three dot leader, U+2026 ISOpub.
      See Also:
        Constant Field Values

    - #### _prime

          public static final char _prime

      `′` `&prime; = &#8242;` -- prime = minutes = feet, U+2032 ISOtech.
      See Also:
        Constant Field Values

    - #### _Prime

          public static final char _Prime

      `″` `&Prime; = &#8243;` -- double prime = seconds = inches, U+2033 ISOtech.
      See Also:
        Constant Field Values

    - #### _oline

          public static final char _oline

      `‾` `&oline; = &#8254;` -- overline = spacing overscore, U+203E NEW.
      See Also:
        Constant Field Values

    - #### _frasl

          public static final char _frasl

      `⁄` `&frasl; = &#8260;` -- fraction slash, U+2044 NEW.
      See Also:
        Constant Field Values

    - #### _weierp

          public static final char _weierp

      `℘` `&weierp; = &#8472;` -- script capital P = power set = Weierstrass p, U+2118 ISOamso.
      See Also:
        Constant Field Values

    - #### _image

          public static final char _image

      `ℑ` `&image; = &#8465;` -- black-letter capital I = imaginary part, U+2111 ISOamso.
      See Also:
        Constant Field Values

    - #### _real

          public static final char _real

      `ℜ` `&real; = &#8476;` -- black-letter capital R = real part symbol, U+211C ISOamso.
      See Also:
        Constant Field Values

    - #### _trade

          public static final char _trade

      `™` `&trade; = &#8482;` -- trade mark sign, U+2122 ISOnum.
      See Also:
        Constant Field Values

    - #### _alefsym

          public static final char _alefsym

      `ℵ` `&alefsym; = &#8501;` -- alef symbol = first transfinite cardinal, U+2135 NEW
      (see comments).

      alef symbol is NOT the same as hebrew letter alef, U+05D0 although the same glyph could be used to depict both characters

      See Also:
        Constant Field Values

    - #### _larr

          public static final char _larr

      `←` `&larr; = &#8592;` -- leftwards arrow, U+2190 ISOnum.
      See Also:
        Constant Field Values

    - #### _uarr

          public static final char _uarr

      `↑` `&uarr; = &#8593;` -- upwards arrow, U+2191 ISOnum.
      See Also:
        Constant Field Values

    - #### _rarr

          public static final char _rarr

      `→` `&rarr; = &#8594;` -- rightwards arrow, U+2192 ISOnum.
      See Also:
        Constant Field Values

    - #### _darr

          public static final char _darr

      `↓` `&darr; = &#8595;` -- downwards arrow, U+2193 ISOnum.
      See Also:
        Constant Field Values

    - #### _harr

          public static final char _harr

      `↔` `&harr; = &#8596;` -- left right arrow, U+2194 ISOamsa.
      See Also:
        Constant Field Values

    - #### _crarr

          public static final char _crarr

      `↵` `&crarr; = &#8629;` -- downwards arrow with corner leftwards = carriage return, U+21B5 NEW.
      See Also:
        Constant Field Values

    - #### _lArr

          public static final char _lArr

      `⇐` `&lArr; = &#8656;` -- leftwards double arrow, U+21D0 ISOtech
      (see comments).

      ISO 10646 does not say that lArr is the same as the 'is implied by' arrow but also does not have any other character for that function. So ? lArr can be used for 'is implied by' as ISOtech suggests

      See Also:
        Constant Field Values

    - #### _uArr

          public static final char _uArr

      `⇑` `&uArr; = &#8657;` -- upwards double arrow, U+21D1 ISOamsa.
      See Also:
        Constant Field Values

    - #### _rArr

          public static final char _rArr

      `⇒` `&rArr; = &#8658;` -- rightwards double arrow, U+21D2 ISOtech
      (see comments).

      ISO 10646 does not say this is the 'implies' character but does not have another character with this function so ? rArr can be used for 'implies' as ISOtech suggests

      See Also:
        Constant Field Values

    - #### _dArr

          public static final char _dArr

      `⇓` `&dArr; = &#8659;` -- downwards double arrow, U+21D3 ISOamsa.
      See Also:
        Constant Field Values

    - #### _hArr

          public static final char _hArr

      `⇔` `&hArr; = &#8660;` -- left right double arrow, U+21D4 ISOamsa.
      See Also:
        Constant Field Values

    - #### _forall

          public static final char _forall

      `∀` `&forall; = &#8704;` -- for all, U+2200 ISOtech.
      See Also:
        Constant Field Values

    - #### _part

          public static final char _part

      `∂` `&part; = &#8706;` -- partial differential, U+2202 ISOtech.
      See Also:
        Constant Field Values

    - #### _exist

          public static final char _exist

      `∃` `&exist; = &#8707;` -- there exists, U+2203 ISOtech.
      See Also:
        Constant Field Values

    - #### _empty

          public static final char _empty

      `∅` `&empty; = &#8709;` -- empty set = null set = diameter, U+2205 ISOamso.
      See Also:
        Constant Field Values

    - #### _nabla

          public static final char _nabla

      `∇` `&nabla; = &#8711;` -- nabla = backward difference, U+2207 ISOtech.
      See Also:
        Constant Field Values

    - #### _isin

          public static final char _isin

      `∈` `&isin; = &#8712;` -- element of, U+2208 ISOtech.
      See Also:
        Constant Field Values

    - #### _notin

          public static final char _notin

      `∉` `&notin; = &#8713;` -- not an element of, U+2209 ISOtech.
      See Also:
        Constant Field Values

    - #### _ni

          public static final char _ni

      `∋` `&ni; = &#8715;` -- contains as member, U+220B ISOtech
      (see comments).

      should there be a more memorable name than 'ni'?

      See Also:
        Constant Field Values

    - #### _prod

          public static final char _prod

      `∏` `&prod; = &#8719;` -- n-ary product = product sign, U+220F ISOamsb
      (see comments).

      prod is NOT the same character as U+03A0 'greek capital letter pi' though the same glyph might be used for both

      See Also:
        Constant Field Values

    - #### _sum

          public static final char _sum

      `∑` `&sum; = &#8721;` -- n-ary summation, U+2211 ISOamsb
      (see comments).

      sum is NOT the same character as U+03A3 'greek capital letter sigma' though the same glyph might be used for both

      See Also:
        Constant Field Values

    - #### _minus

          public static final char _minus

      `−` `&minus; = &#8722;` -- minus sign, U+2212 ISOtech.
      See Also:
        Constant Field Values

    - #### _lowast

          public static final char _lowast

      `∗` `&lowast; = &#8727;` -- asterisk operator, U+2217 ISOtech.
      See Also:
        Constant Field Values

    - #### _radic

          public static final char _radic

      `√` `&radic; = &#8730;` -- square root = radical sign, U+221A ISOtech.
      See Also:
        Constant Field Values

    - #### _prop

          public static final char _prop

      `∝` `&prop; = &#8733;` -- proportional to, U+221D ISOtech.
      See Also:
        Constant Field Values

    - #### _infin

          public static final char _infin

      `∞` `&infin; = &#8734;` -- infinity, U+221E ISOtech.
      See Also:
        Constant Field Values

    - #### _ang

          public static final char _ang

      `∠` `&ang; = &#8736;` -- angle, U+2220 ISOamso.
      See Also:
        Constant Field Values

    - #### _and

          public static final char _and

      `∧` `&and; = &#8743;` -- logical and = wedge, U+2227 ISOtech.
      See Also:
        Constant Field Values

    - #### _or

          public static final char _or

      `∨` `&or; = &#8744;` -- logical or = vee, U+2228 ISOtech.
      See Also:
        Constant Field Values

    - #### _cap

          public static final char _cap

      `∩` `&cap; = &#8745;` -- intersection = cap, U+2229 ISOtech.
      See Also:
        Constant Field Values

    - #### _cup

          public static final char _cup

      `∪` `&cup; = &#8746;` -- union = cup, U+222A ISOtech.
      See Also:
        Constant Field Values

    - #### _int

          public static final char _int

      `∫` `&int; = &#8747;` -- integral, U+222B ISOtech.
      See Also:
        Constant Field Values

    - #### _there4

          public static final char _there4

      `∴` `&there4; = &#8756;` -- therefore, U+2234 ISOtech.
      See Also:
        Constant Field Values

    - #### _sim

          public static final char _sim

      `∼` `&sim; = &#8764;` -- tilde operator = varies with = similar to, U+223C ISOtech
      (see comments).

      tilde operator is NOT the same character as the tilde, U+007E, although the same glyph might be used to represent both

      See Also:
        Constant Field Values

    - #### _cong

          public static final char _cong

      `≅` `&cong; = &#8773;` -- approximately equal to, U+2245 ISOtech.
      See Also:
        Constant Field Values

    - #### _asymp

          public static final char _asymp

      `≈` `&asymp; = &#8776;` -- almost equal to = asymptotic to, U+2248 ISOamsr.
      See Also:
        Constant Field Values

    - #### _ne

          public static final char _ne

      `≠` `&ne; = &#8800;` -- not equal to, U+2260 ISOtech.
      See Also:
        Constant Field Values

    - #### _equiv

          public static final char _equiv

      `≡` `&equiv; = &#8801;` -- identical to, U+2261 ISOtech.
      See Also:
        Constant Field Values

    - #### _le

          public static final char _le

      `≤` `&le; = &#8804;` -- less-than or equal to, U+2264 ISOtech.
      See Also:
        Constant Field Values

    - #### _ge

          public static final char _ge

      `≥` `&ge; = &#8805;` -- greater-than or equal to, U+2265 ISOtech.
      See Also:
        Constant Field Values

    - #### _sub

          public static final char _sub

      `⊂` `&sub; = &#8834;` -- subset of, U+2282 ISOtech.
      See Also:
        Constant Field Values

    - #### _sup

          public static final char _sup

      `⊃` `&sup; = &#8835;` -- superset of, U+2283 ISOtech
      (see comments).

      note that nsup, 'not a superset of, U+2283' is not covered by the Symbol font encoding and is not included. Should it be, for symmetry? It is in ISOamsn

      See Also:
        Constant Field Values

    - #### _nsub

          public static final char _nsub

      `⊄` `&nsub; = &#8836;` -- not a subset of, U+2284 ISOamsn.
      See Also:
        Constant Field Values

    - #### _sube

          public static final char _sube

      `⊆` `&sube; = &#8838;` -- subset of or equal to, U+2286 ISOtech.
      See Also:
        Constant Field Values

    - #### _supe

          public static final char _supe

      `⊇` `&supe; = &#8839;` -- superset of or equal to, U+2287 ISOtech.
      See Also:
        Constant Field Values

    - #### _oplus

          public static final char _oplus

      `⊕` `&oplus; = &#8853;` -- circled plus = direct sum, U+2295 ISOamsb.
      See Also:
        Constant Field Values

    - #### _otimes

          public static final char _otimes

      `⊗` `&otimes; = &#8855;` -- circled times = vector product, U+2297 ISOamsb.
      See Also:
        Constant Field Values

    - #### _perp

          public static final char _perp

      `⊥` `&perp; = &#8869;` -- up tack = orthogonal to = perpendicular, U+22A5 ISOtech.
      See Also:
        Constant Field Values

    - #### _sdot

          public static final char _sdot

      `⋅` `&sdot; = &#8901;` -- dot operator, U+22C5 ISOamsb
      (see comments).

      dot operator is NOT the same character as U+00B7 middle dot

      See Also:
        Constant Field Values

    - #### _lceil

          public static final char _lceil

      `⌈` `&lceil; = &#8968;` -- left ceiling = APL upstile, U+2308 ISOamsc.
      See Also:
        Constant Field Values

    - #### _rceil

          public static final char _rceil

      `⌉` `&rceil; = &#8969;` -- right ceiling, U+2309 ISOamsc.
      See Also:
        Constant Field Values

    - #### _lfloor

          public static final char _lfloor

      `⌊` `&lfloor; = &#8970;` -- left floor = APL downstile, U+230A ISOamsc.
      See Also:
        Constant Field Values

    - #### _rfloor

          public static final char _rfloor

      `⌋` `&rfloor; = &#8971;` -- right floor, U+230B ISOamsc.
      See Also:
        Constant Field Values

    - #### _lang

          public static final char _lang

      `⟨` `&lang; = &#9001;` -- left-pointing angle bracket = bra, U+2329 ISOtech
      (see comments).

      lang is NOT the same character as U+003C 'less than' or U+2039 'single left-pointing angle quotation mark'

      See Also:
        Constant Field Values

    - #### _rang

          public static final char _rang

      `⟩` `&rang; = &#9002;` -- right-pointing angle bracket = ket, U+232A ISOtech
      (see comments).

      rang is NOT the same character as U+003E 'greater than' or U+203A 'single right-pointing angle quotation mark'

      See Also:
        Constant Field Values

    - #### _loz

          public static final char _loz

      `◊` `&loz; = &#9674;` -- lozenge, U+25CA ISOpub.
      See Also:
        Constant Field Values

    - #### _spades

          public static final char _spades

      `♠` `&spades; = &#9824;` -- black spade suit, U+2660 ISOpub
      (see comments).

      black here seems to mean filled as opposed to hollow

      See Also:
        Constant Field Values

    - #### _clubs

          public static final char _clubs

      `♣` `&clubs; = &#9827;` -- black club suit = shamrock, U+2663 ISOpub.
      See Also:
        Constant Field Values

    - #### _hearts

          public static final char _hearts

      `♥` `&hearts; = &#9829;` -- black heart suit = valentine, U+2665 ISOpub.
      See Also:
        Constant Field Values

    - #### _diams

          public static final char _diams

      `♦` `&diams; = &#9830;` -- black diamond suit, U+2666 ISOpub.
      See Also:
        Constant Field Values

    - #### _quot

          public static final char _quot

      `"` `&quot; = &#34;` -- quotation mark = APL quote, U+0022 ISOnum.
      See Also:
        Constant Field Values

    - #### _amp

          public static final char _amp

      `&` `&amp; = &#38;` -- ampersand, U+0026 ISOnum.
      See Also:
        Constant Field Values

    - #### _lt

          public static final char _lt

      `<` `&lt; = &#60;` -- less-than sign, U+003C ISOnum.
      See Also:
        Constant Field Values

    - #### _gt

          public static final char _gt

      `>` `&gt; = &#62;` -- greater-than sign, U+003E ISOnum.
      See Also:
        Constant Field Values

    - #### _OElig

          public static final char _OElig

      `Œ` `&OElig; = &#338;` -- latin capital ligature OE, U+0152 ISOlat2.
      See Also:
        Constant Field Values

    - #### _oelig

          public static final char _oelig

      `œ` `&oelig; = &#339;` -- latin small ligature oe, U+0153 ISOlat2
      (see comments).

      ligature is a misnomer, this is a separate character in some languages

      See Also:
        Constant Field Values

    - #### _Scaron

          public static final char _Scaron

      `Š` `&Scaron; = &#352;` -- latin capital letter S with caron, U+0160 ISOlat2.
      See Also:
        Constant Field Values

    - #### _scaron

          public static final char _scaron

      `š` `&scaron; = &#353;` -- latin small letter s with caron, U+0161 ISOlat2.
      See Also:
        Constant Field Values

    - #### _Yuml

          public static final char _Yuml

      `Ÿ` `&Yuml; = &#376;` -- latin capital letter Y with diaeresis, U+0178 ISOlat2.
      See Also:
        Constant Field Values

    - #### _circ

          public static final char _circ

      `ˆ` `&circ; = &#710;` -- modifier letter circumflex accent, U+02C6 ISOpub.
      See Also:
        Constant Field Values

    - #### _tilde

          public static final char _tilde

      `˜` `&tilde; = &#732;` -- small tilde, U+02DC ISOdia.
      See Also:
        Constant Field Values

    - #### _ensp

          public static final char _ensp

      `` `&ensp; = &#8194;` -- en space, U+2002 ISOpub.
      See Also:
        Constant Field Values

    - #### _emsp

          public static final char _emsp

      `` `&emsp; = &#8195;` -- em space, U+2003 ISOpub.
      See Also:
        Constant Field Values

    - #### _thinsp

          public static final char _thinsp

      `` `&thinsp; = &#8201;` -- thin space, U+2009 ISOpub.
      See Also:
        Constant Field Values

    - #### _zwnj

          public static final char _zwnj

      `‌` `&zwnj; = &#8204;` -- zero width non-joiner, U+200C NEW RFC 2070.
      See Also:
        Constant Field Values

    - #### _zwj

          public static final char _zwj

      `‍` `&zwj; = &#8205;` -- zero width joiner, U+200D NEW RFC 2070.
      See Also:
        Constant Field Values

    - #### _lrm

          public static final char _lrm

      `‎` `&lrm; = &#8206;` -- left-to-right mark, U+200E NEW RFC 2070.
      See Also:
        Constant Field Values

    - #### _rlm

          public static final char _rlm

      `‏` `&rlm; = &#8207;` -- right-to-left mark, U+200F NEW RFC 2070.
      See Also:
        Constant Field Values

    - #### _ndash

          public static final char _ndash

      `–` `&ndash; = &#8211;` -- en dash, U+2013 ISOpub.
      See Also:
        Constant Field Values

    - #### _mdash

          public static final char _mdash

      `—` `&mdash; = &#8212;` -- em dash, U+2014 ISOpub.
      See Also:
        Constant Field Values

    - #### _lsquo

          public static final char _lsquo

      `‘` `&lsquo; = &#8216;` -- left single quotation mark, U+2018 ISOnum.
      See Also:
        Constant Field Values

    - #### _rsquo

          public static final char _rsquo

      `’` `&rsquo; = &#8217;` -- right single quotation mark, U+2019 ISOnum.
      See Also:
        Constant Field Values

    - #### _sbquo

          public static final char _sbquo

      `‚` `&sbquo; = &#8218;` -- single low-9 quotation mark, U+201A NEW.
      See Also:
        Constant Field Values

    - #### _ldquo

          public static final char _ldquo

      `“` `&ldquo; = &#8220;` -- left double quotation mark, U+201C ISOnum.
      See Also:
        Constant Field Values

    - #### _rdquo

          public static final char _rdquo

      `”` `&rdquo; = &#8221;` -- right double quotation mark, U+201D ISOnum.
      See Also:
        Constant Field Values

    - #### _bdquo

          public static final char _bdquo

      `„` `&bdquo; = &#8222;` -- double low-9 quotation mark, U+201E NEW.
      See Also:
        Constant Field Values

    - #### _dagger

          public static final char _dagger

      `†` `&dagger; = &#8224;` -- dagger, U+2020 ISOpub.
      See Also:
        Constant Field Values

    - #### _Dagger

          public static final char _Dagger

      `‡` `&Dagger; = &#8225;` -- double dagger, U+2021 ISOpub.
      See Also:
        Constant Field Values

    - #### _permil

          public static final char _permil

      `‰` `&permil; = &#8240;` -- per mille sign, U+2030 ISOtech.
      See Also:
        Constant Field Values

    - #### _lsaquo

          public static final char _lsaquo

      `‹` `&lsaquo; = &#8249;` -- single left-pointing angle quotation mark, U+2039 ISO proposed
      (see comments).

      lsaquo is proposed but not yet ISO standardized

      See Also:
        Constant Field Values

    - #### _rsaquo

          public static final char _rsaquo

      `›` `&rsaquo; = &#8250;` -- single right-pointing angle quotation mark, U+203A ISO proposed
      (see comments).

      rsaquo is proposed but not yet ISO standardized

      See Also:
        Constant Field Values

    - #### _euro

          public static final char _euro

      `€` `&euro; = &#8364;` -- euro sign, U+20AC NEW.
      See Also:
        Constant Field Values

    - #### _apos

          public static final char _apos

      `'` `&apos; = &#39;` -- apostrophe = APL quote, U+0027 ISOnum
      (see comments).

      apos is only defined for use in XHTML (see the XHTML Special Characters Entity Set), but not in HTML.

      See Also:
        `Config.IsApostropheEncoded`, Constant Field Values

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns the name of this character entity reference.

      Example:
        `((CharacterEntityReference)CharacterReference.parse("&gt;")).getName()` returns "`gt`"
      Returns:
        the name of this character entity reference.
      See Also:
        `getName(int codePoint)`

    - #### getName

          public static java.lang.String getName(char ch)

      Returns the character entity reference name of the specified character.

      Since all character entity references represent unicode BMP code points, the functionality of this method is identical to that of `getName(int codePoint)`.

      Example:
        `CharacterEntityReference.getName('>')` returns "`gt`"
      Returns:
        the character entity reference name of the specified character, or `null` if none exists.

    - #### getName

          public static java.lang.String getName(int codePoint)

      Returns the character entity reference name of the specified unicode code point.

      Since all character entity references represent unicode BMP code points, the functionality of this method is identical to that of `getName(char ch)`.

      Example:
        `CharacterEntityReference.getName(62)` returns "`gt`"
      Returns:
        the character entity reference name of the specified unicode code point, or `null` if none exists.

    - #### getCodePointFromName

          public static int getCodePointFromName(java.lang.String name)

      Returns the unicode code point of the specified character entity reference name.

      If the string does not represent a valid character entity reference name, this method returns `INVALID_CODE_POINT`.

      Although character entity reference names are case sensitive, and in some cases differ from other entity references only by their case, some browsers also recognise them in a case-insensitive way. For this reason, all decoding methods in this library recognise character entity reference names even if they are in the wrong case.

      Example:
        `CharacterEntityReference.getCodePointFromName("gt")` returns `62`
      Returns:
        the unicode code point of the specified character entity reference name, or `INVALID_CODE_POINT` if the string does not represent a valid character entity reference name.

    - #### getCharacterReferenceString

          public java.lang.String getCharacterReferenceString()

      Returns the correct encoded form of this character entity reference.

      Note that the returned string is not necessarily the same as the original source text used to create this object. This library recognises certain invalid forms of character references, as detailed in the `decode(String encodedString)` method.

      To retrieve the original source text, use the `toString()` method instead.

      Example:
        `CharacterReference.parse("&GT").getCharacterReferenceString()` returns "`&gt;`"
      Specified by:
        `getCharacterReferenceString` in class `CharacterReference`
      Returns:
        the correct encoded form of this character entity reference.
      See Also:
        `CharacterReference.getCharacterReferenceString(int codePoint)`

    - #### getCharacterReferenceString

          public static java.lang.String getCharacterReferenceString(int codePoint)

      Returns the character entity reference encoded form of the specified unicode code point.

      If the specified unicode code point does not have an equivalent character entity reference, this method returns `null`. To get either the entity or numeric reference encoded form, use the `CharacterReference.getCharacterReferenceString(int codePoint)` method instead.

      Examples:
        `CharacterEntityReference.getCharacterReferenceString(62)` returns "`&gt;`"
        `CharacterEntityReference.getCharacterReferenceString(9786)` returns `null`
      Returns:
        the character entity reference encoded form of the specified unicode code point, or `null` if none exists.
      See Also:
        `CharacterReference.getCharacterReferenceString(int codePoint)`

    - #### getNameToCodePointMap

          public static java.util.Map<java.lang.String,java.lang.Integer> getNameToCodePointMap()

      Returns a map of character entity reference names (`String`) to unicode code points (`Integer`).
      Returns:
        a map of character entity reference names to unicode code points.

    - #### getDebugInfo

          public java.lang.String getDebugInfo()

      Returns a string representation of this object useful for debugging purposes.
      Overrides:
        `getDebugInfo` in class `Segment`
      Returns:
        a string representation of this object useful for debugging purposes.